FLANG

Public Member Functions | List of all members
FunctionDistance Class Reference

## Public Member Functions
| FunctionDistance (mlir::FunctionType from, mlir::FunctionType to)
bool | isSmallerThan (const FunctionDistance &d) const
bool | isLosingPrecision () const
bool | isInfinite () const

## Member Function Documentation

## ◆ isSmallerThan()

bool FunctionDistance::isSmallerThan | ( | const FunctionDistance & | d | ) | const
| inline

Beware both d1.isSmallerThan(d2) and d2.isSmallerThan(d1) may be false if both d1 and d2 are infinite. This implies that d1.isSmallerThan(d2) is not equivalent to !d2.isSmallerThan(d1)

The documentation for this class was generated from the following file:

- lib/Lower/IntrinsicCall.cpp